Bug 134185

Summary: WebProgressTracker updates progress too frequently
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: New BugsAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, japhet
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Fixes the bug thorton: review+

Description Ryosuke Niwa 2014-06-22 21:00:35 PDT
WebProgressTracker updates progress too frequently
Comment 1 Ryosuke Niwa 2014-06-22 21:05:43 PDT
Created attachment 233584 [details]
Patch
Comment 2 Ryosuke Niwa 2014-06-23 15:53:26 PDT
Comment on attachment 233584 [details]
Patch

Turns out that we already have a throttling code in WebCore.
Comment 3 Ryosuke Niwa 2014-06-23 16:16:58 PDT
Created attachment 233648 [details]
Fixes the bug
Comment 4 Ryosuke Niwa 2014-06-25 21:45:10 PDT
Committed r170464: <http://trac.webkit.org/changeset/170464>